You are not logged in.

#1 2021-11-26 20:13:50

arielp
Member
Registered: 2013-02-17
Posts: 3

Dovecot 2.3.16-3 breaks when libldap is upgraded to 2.6.0-2

It seems that Dovecot's lmtp mail delivery broke on my machine after a recent `pacman -Syu` which brings core/libldap 2.6.0-2.  Downgrading to the previous libldap from my package cache has gotten mail flowing again, but is there something I should be doing to get dovecot to behave properly with the new libldap?

Excerpt from dovecot log:
Nov 26 13:30:14 a dovecot[1019]: lmtp(1267): Connect from local
Nov 26 13:30:14 a dovecot[1019]: auth: Error: dovecot/auth: error while loading shared libraries: libldap_r-2.4.so.2: cannot open shared object file: No such file or directory
Nov 26 13:30:14 a dovecot[992]: master: Error: service(auth): command startup failed, throttling for 2.000 secs
Nov 26 13:30:14 a dovecot[1019]: auth: Fatal: master: service(auth): child 1269 returned error 127
Nov 26 13:30:14 a dovecot[1019]: lmtp(ariel)<1267><8QMSHrYnoWHzBAAATG4wWA>: Error: auth-master: userdb lookup(ariel): Disconnected unexpectedly
Nov 26 13:30:14 a dovecot[1019]: lmtp(1267): Error: lmtp-server: conn unix:pid=1266,uid=1000 [1]: rcpt ariel: Failed to lookup user ariel: Internal error occurred. Refer to server log for more information.
Nov 26 13:30:14 a dovecot[1019]: lmtp(1267): Disconnect from local: Connection closed (state=MAIL FROM)

I'm not sure what other information to include.

Thank you for any help,

Ariel

Last edited by arielp (2021-11-26 20:21:46)

Offline

#2 2021-11-26 21:25:05

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,887

Re: Dovecot 2.3.16-3 breaks when libldap is upgraded to 2.6.0-2

pacman -Qo /usr/lib/libpq.so.5

Offline

#3 2021-11-26 21:41:49

arielp
Member
Registered: 2013-02-17
Posts: 3

Re: Dovecot 2.3.16-3 breaks when libldap is upgraded to 2.6.0-2

Ahh yes, of course. Thank you for the pointer.

Offline

Board footer

Powered by FluxBB